<?php

namespace App\Mail;

use App\Models\PromotionPackage;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class PromotionActivated extends Mailable
{
    use Queueable, SerializesModels;

    public $package;
    public $promotionIds;

    /**
     * Create a new message instance.
     */
    public function __construct(PromotionPackage $package, array $promotionIds)
    {
        $this->package = $package;
        $this->promotionIds = $promotionIds;
    }

    /**
     * Get the message envelope.
     */
    public function envelope(): Envelope
    {
        return new Envelope(
            subject: 'Promotion Activated - The Mini Port',
        );
    }

    /**
     * Get the message content definition.
     */
    public function content(): Content
    {
        return new Content(
            view: 'emails.promotion.activated',
        );
    }

    /**
     * Get the attachments for the message.
     *
     * @return array<int, \Illuminate\Mail\Mailables\Attachment>
     */
    public function attachments(): array
    {
        return [];
    }
}
